unit Fgabout;

(*
Copyright 1999-2011 Greg VanMullem
This program is distributed under the terms of the GNU General Public License Version 3

This file is part of MathGV.

MathGV is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

MathGV is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with MathGV.  If not, see <http://www.gnu.org/licenses/>.
*)

interface

uses WinTypes, WinProcs, Classes, Graphics, Forms, Controls, StdCtrls,
  Buttons, ExtCtrls, Dialogs;

type
  TAboutBox = class(TForm)
    Panel1: TPanel;
    OKButton: TBitBtn;
    ProgramIcon: TImage;
    T15: TLabel;
    T5: TLabel;
    T20: TLabel;
    T25: TLabel;
    ListBox1: TListBox;
    Label1: TLabel;
    Label3: TLabel;
    procedure ProgramIconDblClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

procedure ShowTheAboutBox;

implementation

{$R *.DFM}

{---------------------------------------------------------------------}

procedure ShowTheAboutBox;
var
  AboutBox: TAboutBox;
begin {procedure ShowTheAboutBox;}
  AboutBox := TAboutBox.Create(Application);
  try
    AboutBox.ShowModal;
  finally
    AboutBox.Free;
  end; {try..finally}
end; {procedure ShowTheAboutBox;}

{---------------------------------------------------------------------}

procedure TAboutBox.ProgramIconDblClick(Sender: TObject);
begin
  MessageDlg('This is a 3D graph of Y=X^3', mtInformation, [mbOk], 0);
end;

{---------------------------------------------------------------------}

end.

