unit DgDraw;

(*
Copyright 1999-2011 Greg VanMullem
This program is distributed under the terms of the GNU General Public License Version 3

This file is part of MathGV.

MathGV is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

MathGV is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with MathGV.  If not, see <http://www.gnu.org/licenses/>.
*)

interface

uses
  Dialogs, CentrDlg;

procedure ShowErrorDlgLabelNotOnBmp;
function FindLabelDlgMaxValue(TheCurrValue, TheBmpDimension : integer) : integer;

implementation

{----------------------------------------------------------------------}

procedure ShowErrorDlgLabelNotOnBmp;
begin {procedure ShowErrorDlgLabelNotOnBmp;}
  MessageDlgCenter('The label must be on the graph bitmap.',mtError,[mbok],0,nil);
end; {procedure ShowErrorDlgLabelNotOnBmp;}

{----------------------------------------------------------------------}

function FindLabelDlgMaxValue(TheCurrValue, TheBmpDimension : integer) : integer;
begin {function FindLabelDlgMaxValue}
  TheBmpDimension := TheBmpDimension + 100;
  if TheCurrValue > TheBmpDimension then
    Result := TheCurrValue
  else
    Result := TheBmpDimension;
end; {function FindLabelDlgMaxValue}

{----------------------------------------------------------------------}

end.
