program mathgv;

(*
Copyright 1999-2011 Greg VanMullem
This program is distributed under the terms of the GNU General Public License Version 3

This file is part of MathGV.

MathGV is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

MathGV is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with MathGV.  If not, see <http://www.gnu.org/licenses/>.
*)

uses
  Forms,
  FSMAIN in 'FSMAIN.PAS' {MainForm},
  FGABOUT in 'FGABOUT.PAS' {AboutBox},
  FG3DLINE in 'FG3DLINE.PAS',
  ADROTDLG in 'ADROTDLG.PAS' {AddRotateDlg},
  labeldlg in 'labeldlg.pas' {LabelListDlg},
  ADD3DDLG in 'ADD3DDLG.PAS' {Add3DDialog},
  BMPSIZER in 'BMPSIZER.PAS' {BmpSizeDlg},
  SET3DDLG in 'SET3DDLG.PAS' {Settings3DDlg},
  Vw3dDlg in 'Vw3dDlg.pas' {Change3DViewDlg},
  SetPoDlg in 'SetPoDlg.pas' {SettingsPolarDlg},
  VwPoDlg in 'VwPoDlg.pas' {ChangePolarViewDlg},
  addpara in 'addpara.pas' {AddParametricFuncDlg},
  FLOATSTR in 'FLOATSTR.PAS',
  AXISLIST in 'AXISLIST.PAS' {StdAxisListDlg},
  SET2DDLG in 'SET2DDLG.PAS' {Settings2DDlg},
  Vw2dDlg in 'Vw2dDlg.pas' {Change2DViewDlg},
  ADD2DFNC in 'ADD2DFNC.PAS' {Add2DFuncDlg},
  SELECTED in 'SELECTED.PAS' {UseSelectedRectDlg},
  dfilldlg in 'dfilldlg.pas' {ModifyDrawFloodFillDlg},
  PRNTSCAL in 'PRNTSCAL.PAS' {PrintScaleDlg},
  dtextdlg in 'dtextdlg.pas' {ModifyDrawTextDlg},
  CLIPLINE in 'CLIPLINE.PAS',
  FILESAVE in 'FILESAVE.PAS',
  W32_ASM in 'W32_ASM.PAS',
  CALCULAT in 'CALCULAT.PAS' {CaculatorDlg},
  Selctdlg in 'Selctdlg.pas' {SelectedRegionDlg},
  dfreedlg in 'dfreedlg.pas' {ModifyDrawFreeHandDlg},
  dlinedlg in 'dlinedlg.pas' {ModifyDrawLineDlg},
  drectdlg in 'drectdlg.pas' {ModifyDrawInclosedDlg},
  custedit in 'custedit.pas',
  Flistdlg in 'Flistdlg.pas' {FuncListDlg},
  funcobj in 'funcobj.pas',
  func2d in 'func2d.pas',
  funcpara in 'funcpara.pas',
  func3d in 'func3d.pas',
  optdlg in 'optdlg.pas' {OptionsDlg},
  status in 'status.pas',
  HotKey in 'HotKey.pas',
  HotKey3D in 'HotKey3D.pas',
  GenOptns in 'GenOptns.pas',
  ComnDlgs in 'ComnDlgs.pas',
  ValueLst in 'ValueLst.pas' {Spec2DValuesRowDlg},
  funcpolr in 'funcpolr.pas',
  Addpolar in 'Addpolar.pas' {AddPolarFuncDlg},
  GapSort in 'GapSort.pas',
  readedit in 'readedit.pas' {EditStrReadErrorDlg},
  Set2dObj in 'Set2dObj.pas',
  SetPoObj in 'SetPoObj.pas',
  Set3dObj in 'Set3dObj.pas',
  Vw2dObj in 'Vw2dObj.pas',
  VwPoObj in 'VwPoObj.pas',
  Vw3dObj in 'Vw3dObj.pas',
  DgGlobal in 'DgGlobal.pas',
  GrGlobal in 'GrGlobal.pas',
  DefFont in 'DefFont.pas',
  HotKey2D in 'HotKey2D.pas',
  HotKeyPo in 'HotKeyPo.pas',
  DgDraw in 'DgDraw.pas',
  GrDraw in 'GrDraw.pas',
  PtGraph in 'PtGraph.pas',
  PtLabel in 'PtLabel.pas',
  PtThread in 'PtThread.pas',
  PtImage in 'PtImage.pas',
  PtShared in 'PtShared.pas',
  PtGr2d in 'PtGr2d.pas',
  PtTh2d in 'PtTh2d.pas',
  SetGraph in 'SetGraph.pas',
  PtThPict in 'PtThPict.pas',
  PtThGraf in 'PtThGraf.pas',
  PtThPolr in 'PtThPolr.pas',
  PtTh3d in 'PtTh3d.pas',
  PtGrPolr in 'PtGrPolr.pas',
  PtGr3d in 'PtGr3d.pas',
  PtThList in 'PtThList.pas',
  PtGrList in 'PtGrList.pas',
  SeqList in 'SeqList.pas',
  DrawObjs in 'DrawObjs.pas',
  PtImGraf in 'PtImGraf.pas',
  ImagPict in 'ImagPict.pas',
  Imag2d in 'Imag2d.pas',
  ImagPolr in 'ImagPolr.pas',
  Imag3d in 'Imag3d.pas',
  PtBuffer in 'PtBuffer.pas',
  PtImList in 'PtImList.pas',
  WinBase in 'WinBase.pas' {WindowBase},
  WinGraph in 'WinGraph.pas' {WindowGraph},
  Wind2D in 'Wind2D.pas' {Window2D},
  LbGlobal in 'LbGlobal.pas',
  CentrErr in 'CentrErr.pas' {CustCenterErrorMsgDlg},
  CentrDlg in 'CentrDlg.pas',
  WindPolr in 'WindPolr.pas' {WindowPolar},
  Wind3D in 'Wind3D.pas' {Window3D};

{$R *.RES}

begin
  Application.Title := 'MathGV';
  Application.HelpFile := 'MathGVHelp.chm';
  Application.CreateForm(TMainForm, MainForm);
  MainForm.OpenParamStrDataFile; {this line was added maually}
  Application.Run;
end.
